package extraButtons
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class CloseButton extends MovieClip {
		
		public static var CLOSE_APP:String = "closeApp";
		
		public function CloseButton():void {
			this.gotoAndStop(1);
			
			this.addFrameScript((this.totalFrames - 1),addScriptEnd);
			this.addFrameScript(7,addScriptOver);
			
			this.addEventListener(MouseEvent.MOUSE_OVER, mouseOver);
		}
		
		protected function mouseOver(e:Event):void {
			this.removeEventListener(MouseEvent.MOUSE_OVER, mouseOver);
			this.addEventListener(MouseEvent.MOUSE_DOWN, mouseDown);
			this.addEventListener(MouseEvent.MOUSE_OUT, mouseOut);
			
			gotoAndPlay(1);
		}
		
		protected function mouseOut(e:MouseEvent):void {
			this.removeEventListener(MouseEvent.MOUSE_OUT, mouseOut);
			this.addEventListener(MouseEvent.MOUSE_OVER, mouseOver);
			
			gotoAndPlay(9);
		}
		
		protected function mouseDown(e:MouseEvent):void {
			this.removeEventListener(MouseEvent.MOUSE_DOWN, mouseDown);
			this.addEventListener(MouseEvent.MOUSE_UP, mouseUp);
		
			this.dispatchEvent(new Event(CloseButton.CLOSE_APP));
		}
		
		protected function mouseUp(e:MouseEvent):void {
			this.addEventListener(MouseEvent.MOUSE_DOWN, mouseDown);
			this.removeEventListener(MouseEvent.MOUSE_UP, mouseUp);
			
			play();
		}
		
		protected function addScriptEnd():void {
			gotoAndStop(1);
		}
		
		protected function addScriptOver():void {
			stop();
		}

	}
}